Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Class RepositoryManagerFactory

    java.lang.Object
      com.bea.content.manager.RepositoryManagerFactory

public class RepositoryManagerFactory
extends Object

Used to get the RepositoryManager.

Field Summary
`static String` | `REPOSITORY_MANAGER_CACHE_NAME`

Constructor Summary
`RepositoryManagerFactory()`

Method Summary
`static RepositoryManager` | `connect()` Creates a RepositoryManager and attempts to connect to all configured repositories.
`static RepositoryManager` | `connect(HttpSession session)` Creates a RepositoryManager, adds it to the session at REPOSITORY_MANAGER_CACHE_NAME and attempts to connect to all configured repositories.
`static RepositoryManager` | `create()` Creates a RepositoryManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPOSITORY_MANAGER_CACHE_NAME

    public static final String REPOSITORY_MANAGER_CACHE_NAME

See Also:
  Constant Field Values

Constructor Detail

### RepositoryManagerFactory

    public RepositoryManagerFactory()

Method Detail

### connect

    public static RepositoryManager connect()
                                     throws NoRepositoriesDefinedException,
                                            RepositoryException

  Creates a RepositoryManager and attempts to connect to all configured repositories.

  Returns:
    RepositoryManager - the connected repository manager.
  Throws:
    `NoRepositoriesDefinedException` - - if there are no repositories to connect to.
    `RepositoryException` - - if a system error occurs.

### connect

    public static RepositoryManager connect(HttpSession session)
                                     throws NoRepositoriesDefinedException,
                                            RepositoryException

  Creates a RepositoryManager, adds it to the session at REPOSITORY_MANAGER_CACHE_NAME and attempts to connect to all configured repositories. If it is already in the session then return it.

  Parameters:
    `session` - - the HttpSession to get the manager out of, or put it into if new.
  Returns:
    RepositoryManager - the connected repository manager.
  Throws:
    `NoRepositoriesDefinedException` - - if there are no repositories to connect to.
    `RepositoryException` - - if a system error occurs.

### create

    public static RepositoryManager create()

  Creates a RepositoryManager.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved